Index: /trunk/include/vtemplate.class.php
===================================================================
--- /trunk/include/vtemplate.class.php	(revision 20)
+++ /trunk/include/vtemplate.class.php	(revision 21)
@@ -376,144 +373,232 @@
 
 
-    function Open($nomfichier){
+function Open($nomfichier){
 // Ouverture d'un fichier source et retourne le handle de ce fichier
 // Création du handle:
-      $handle =  "{".count($this->sessions)."}" ;
+$handle =  "{".count($this->sessions)."}" ;
 
 
 // Récupération du source à parser
-      if (!@file_exists($nomfichier)) return $this->error(8,$nomfichier,"TTT1",1);
-      if (!$f_id=@fopen($nomfichier,"r")) return $this->error(9,$nomfichier,"TTT2",1);
-      if (!$source=@fread($f_id, filesize($nomfichier))) return $this->error(10,$nomfichier,"TTT3",1);
-      clearstatcache();
-      fclose($f_id);
+if (!@file_exists($nomfichier)) return $this->error(8,$nomfichier,"TTT1",1);
+if (!$f_id=@fopen($nomfichier,"r")) return $this->error(9,$nomfichier,"TTT2",1);
+if (!$source=@fread($f_id, filesize($nomfichier))) return $this->error(10,$nomfichier,"TTT3",1);
+clearstatcache();
+fclose($f_id);
 
 // Store the filename
-      $this->file_name[$handle]=$nomfichier;
+$this->file_name[$handle]=$nomfichier;
 
 // Parse les zones
-      $this->parseZone($source);
+$this->parseZone($source);
 
 // Création du tableau de session
-      $this->createSession($handle);
+$this->createSession($handle);
 
 //Nettoyage des variables temporaires
-      $this->sources=NULL;
+$this->sources=NULL;
 
 // Set global var.
-      $this->setGOpened($handle);
-
-      $this->addSession($handle);
-      return $handle;
-    }
-
-    function newSession($handle="{0}",$nom_zone = "|root|"){
-      if ( $this->sessions[$handle][$nom_zone]->used ) $this->closeSession($handle,$nom_zone);
-      $this->addSession($handle,$nom_zone,$cache,$time,$num_session);
-      return 1;
-    }
-
-    function addSession($handle="{0}",$nom_zone = "|root|"){
-      // Does the zone exist ?
-      if(!isset($this->sessions[$handle][$nom_zone])) return $this->error(11,array($nom_zone,$this->file_name[$handle]),"TTT4",1);   
-      $this->sessions[$handle][$nom_zone]->init();
-      return 1;
-    }
-
-    function closeSession($handle="{0}",$nom_zone = "|root|"){ 
+$this->setGOpened($handle);
+
+$this->addSession($handle);
+return $handle;
+}
+
+function newSession($handle="{0}",$nom_zone = "|root|"){
+if ( $this->sessions[$handle][$nom_zone]->used ) $this->closeSession($handle,$nom_zone);
+$this->addSession($handle,$nom_zone,$cache,$time,$num_session);
+return 1;
+}
+
+function addSession($handle="{0}",$nom_zone = "|root|"){
+	// Does the zone exist ?
+   if(!isset($this->sessions[$handle][$nom_zone])) return $this->error(11,array($nom_zone,$this->file_name[$handle]),"TTT4",1);   
+   $this->sessions[$handle][$nom_zone]->init();
+   return 1;
+}
+
+function closeSession($handle="{0}",$nom_zone = "|root|"){ 
 // Close the current session and all his sub-session
-      // Check if the zone exists.
-      if(!isset($this->sessions[$handle][$nom_zone])) return $this->error(11,array($nom_zone,$this->file_name[$handle]),"TTT5",1);
-      // Closing sub-zone
-      $this->sessions[$handle][$nom_zone]->closeSession();	
-      return 1;
-    }
-
-    function setGlobalVar($arg1,$arg2,$arg3){
-      if ($arg1 == 1){
-        if (!$this->setGAll($arg2,$arg3)) return $this->error(12,$arg2,"TTT6",1);
-        return 1; 
-      }
-      if (!isset($this->sessions[$arg1])) return $this->error(13,$arg1,"TTT7",1);
-      $tab=explode(".",$arg2);
-      if (count($tab)==1){
-        if (!$this->setGFile($arg1,$arg2,$arg3)) return $this->error(14,array($this->file_name[$arg1],$arg2),"TTT8",1);
-      }
-      else if (count($tab==2)){
-        if (!isset($this->sessions[$arg1][$tab[0]])) return $this->error(11,array($tab[0],$this->file_name[$arg1],"TTT9",1));
-        if (!$this->setGZone($arg1,$tab[0],$tab[1],$arg3)) return $this->error(15,array($this->file_name[$arg1],$tab[0],$tab[1]),"TTT10",1);
-      }
-      return 1;
-    }
-
-    function setVar($handle,$zone_var,$val){
-      // Fill the variable
-      $tab=explode(".",$zone_var);
-      if(count($tab)==2){
-        $zone=$tab[0];
-        $var=$tab[1];
-      }
-      else
-      {
-        $zone="|root|";
-        $var=$tab[0];
-      }
-
-      // Teste l'existence de la zone dans la liste
-      if (!isset($this->sessions[$handle][$zone])) return $this->error(11,array($this->file_name[$handle],$zone),"TTT11",1);
-
-      //Enregistre la variable
-      return $this->sessions[$handle][$zone]->setVar($var,$val);
-    }
-
-    function Parse($handle_dest,$zone_var_dest,$handle_source,$zone_source="|root|"){
-      if($this->sessions[$handle_source][$zone_source]->used == 1) $this->closeSession($handle_source,$zone_source);
-      $this->setVar($handle_dest,$zone_var_dest, $this->sessions[$handle_source][$zone_source]->generated);
-    }
-
-    function setVarF($handle,$zone_var,$file){
+	  // Check if the zone exists.
+	if(!isset($this->sessions[$handle][$nom_zone])) return $this->error(11,array($nom_zone,$this->file_name[$handle]),"TTT5",1);
+     // Closing sub-zone
+     $this->sessions[$handle][$nom_zone]->closeSession();	
+   return 1;
+}
+
+function setGlobalVar($arg1,$arg2,$arg3){
+if ($arg1 == 1){
+  if (!$this->setGAll($arg2,$arg3)) return $this->error(12,$arg2,"TTT6",1);
+  return 1; 
+}
+if (!isset($this->sessions[$arg1])) return $this->error(13,$arg1,"TTT7",1);
+ $tab=explode(".",$arg2);
+ if (count($tab)==1){
+    if (!$this->setGFile($arg1,$arg2,$arg3)) return $this->error(14,array($this->file_name[$arg1],$arg2),"TTT8",1);
+ }
+ else if (count($tab==2)){
+    if (!isset($this->sessions[$arg1][$tab[0]])) return $this->error(11,array($tab[0],$this->file_name[$arg1],"TTT9",1));
+    if (!$this->setGZone($arg1,$tab[0],$tab[1],$arg3)) return $this->error(15,array($this->file_name[$arg1],$tab[0],$tab[1]),"TTT10",1);
+ }
+return 1;
+}
+
+function setVar($handle,$zone_var,$val){
+ // Fill the variable
+$tab=explode(".",$zone_var);
+ if(count($tab)==2){
+   $zone=$tab[0];
+   $var=$tab[1];
+ }
+ else
+ {
+  $zone="|root|";
+  $var=$tab[0];
+ }
+
+ // Teste l'existence de la zone dans la liste
+ if (!isset($this->sessions[$handle][$zone])) return $this->error(11,array($this->file_name[$handle],$zone),"TTT11",1);
+
+ //Enregistre la variable
+ return $this->sessions[$handle][$zone]->setVar($var,$val);
+}
+
+function Parse($handle_dest,$zone_var_dest,$handle_source,$zone_source="|root|"){
+	if($this->sessions[$handle_source][$zone_source]->used == 1) $this->closeSession($handle_source,$zone_source);
+	  $this->setVar($handle_dest,$zone_var_dest, $this->sessions[$handle_source][$zone_source]->generated);
+}
+
+function setVarF($handle,$zone_var,$file){
 // Fonction qui ouvre le fichier file et copie ce qu'il y a dedans dans une variable.
-      $tab=explode(".",$zone_var);
+$tab=explode(".",$zone_var);
 
 // Récupération nom de la zone et de la variable.
-      if(count($tab)==2){
-        $zone=$tab[0];
-        $var=$tab[1];
-      }
-      else
-      {
-        $zone="|root|";
-        $var=$tab[0];
-      }
+ if(count($tab)==2){
+   $zone=$tab[0];
+   $var=$tab[1];
+ }
+ else
+ {
+  $zone="|root|";
+  $var=$tab[0];
+ }
 // Teste l'existence de la zone dans la liste
-      if (!is_object($this->sessions[$handle][$zone])) return $this->error(11,array($handle,$zone),"TTT12",1);
-
-      // Récupération du source à lire
-      if (!@file_exists($file)) return $this->error(8,$file,"TTT13",1);
-      if (!$f_id=@fopen($file,"r")) return $this->error(9,$file,"TTT14",1);
-      if (!$val=@fread($f_id, filesize($file))) return $this->error(10,$file,"TTT15",1);
-      clearstatcache();
-      fclose($f_id);
+ if (!is_object($this->sessions[$handle][$zone])) return $this->error(11,array($handle,$zone),"TTT12",1);
+
+ // Récupération du source à lire
+if (!@file_exists($file)) return $this->error(8,$file,"TTT13",1);
+if (!$f_id=@fopen($file,"r")) return $this->error(9,$file,"TTT14",1);
+if (!$val=@fread($f_id, filesize($file))) return $this->error(10,$file,"TTT15",1);
+clearstatcache();
+fclose($f_id);
 
 //Enregistre la variable
-      return $this->sessions[$handle][$zone]->setVar($var,$val);
-    }
-
-    function isZone($handle, $zone="|root|") 
-      { 
-        return isset($this->sessions[$handle][$zone]) ; 
-      } 
-
-    function Display($handle="{0}",$display=1,$zone="|root|"){
-      $this->closeSession($handle,$zone);
-      $c_genere = $this->sessions[$handle][$zone]->generated; 
+return $this->sessions[$handle][$zone]->setVar($var,$val);
+}
+
+
+
+
+
+function isZone($handle, $zone="|root|") 
+{ 
+return isset($this->sessions[$handle][$zone]) ; 
+} 
+
+function Display($handle="{0}",$display=1,$zone="|root|"){
+	$this->closeSession($handle,$zone);
+	$c_genere = $this->sessions[$handle][$zone]->generated; 
 	
-      if ($display) echo $c_genere; else return ($c_genere);
-    }
+	if ($display) echo $c_genere; else return ($c_genere);
+}
+//fonction complementaire version BETA
+
+/*
+* 
+On peut l'utiliser : 
+- SetVarTab($array): tout les couples clef/valeur sont valorisées 
+- SetVarTab($array,$index) seuls les couples clef/valeur dont la clef est dans le tableau index ou dont la valeur == $index (si pas tableau) 
+Si $index contient ou est une clef de type zone.clef, la clef sera extraite du texte est servira d'index pour $array 
+
+Vincent 
+*/
+
+function setVarTab($handle,$zones,$index = array()){ 
+	if (is_array($index)) 
+	{ 
+		if (count($index)>0) 
+		{ 
+			reset($index); 
+			while (list (, $key) = each ($index)) 
+			{ 
+				$tab=explode(".",$key); 
+				if(count($tab)==2){ 
+					$var=$tab[1]; 
+				} 
+				else 
+				{ 
+					$var=$tab[0]; 
+				} 
+				setVar($handle,$key,$zones[$var]); 
+			} 
+		} 
+		else 
+		{ 
+			reset($zones); 
+			while (list ($key, $val) = each ($zones)) 
+			{ 
+				setVar($handle,$key,$val); 
+			} 
+		} 
+	} 
+	else 
+	{ 
+		setVar($handle,$index,$zones[$index]); 
+	} 
+} 
+
+function setGlobalVarTab($handle,$zones,$index = array()){ 
+
+	if (is_array($index)) 
+	{ 
+		if (count($index)>0) 
+		{ 
+			reset($index); 
+			while (list (, $key) = each ($index)) 
+			{ 
+				$tab=explode(".",$key); 
+				if(count($tab)==2){ 
+					$var=$tab[1]; 
+				} 
+				else 
+				{ 
+					$var=$tab[0]; 
+				} 
+				setGlobalVar($handle,$key,$zones[$var]); 
+			} 
+		} 
+		else 
+		{ 
+			reset($zones); 
+			while (list ($key, $val) = each ($zones)) 
+			{
+				GlobalVar($handle,$key,$val); 
+			} 
+		} 
+	} 
+	else 
+	{ 
+		setBlobalVar($handle,$index,$zones[$index]); 
+	} 
+} 
+
+
+
+
 
 
 // End VTemplate
-  }
-  $DEFINE_VTEMPLATE = 1;
+}
+$DEFINE_VTEMPLATE = 1;
 }
 ?>
Index: /trunk/index.php
===================================================================
--- /trunk/index.php	(revision 20)
+++ /trunk/index.php	(revision 21)
@@ -1,15 +1,12 @@
 <?php
-include_once( './include/mysql.inc.php' );
+define( PREFIX_INCLUDE, '' );
 include_once( './include/functions.inc.php' );
 database_connection();
-// récupération des informations de configuration du site
-$query  = 'select acces ';
-$query .= 'from '.PREFIX_TABLE.'config;';
+// retrieving configuration informations
+$query = 'SELECT access';
+$query.= ' FROM '.PREFIX_TABLE.'config;';
 $row = mysql_fetch_array( mysql_query( $query ) );
-$url = 'category';
-if ( $row['acces'] == 'restreint' )
-{
-  $url = 'identification';
-}
+if ( $row['access'] == 'restricted' ) $url = 'identification';
+else                                  $url = 'category';
 // redirection
 $url.= '.php';
Index: /trunk/language/francais.php
===================================================================
--- /trunk/language/francais.php	(revision 20)
+++ /trunk/language/francais.php	(revision 21)
@@ -16,4 +16,8 @@
 $lang['guest'] = 'visiteur';
 $lang['mail_address'] = 'adresse mail';
+$lang['public'] = 'publique';
+$lang['private'] = 'privée';
+$lang['add'] = 'ajouter';
+$lang['dissociate'] = 'dissocier';
 // end version 1.3
 
@@ -219,4 +223,5 @@
   $lang['title_add'] = 'Ajouter un utilisateur';
   $lang['title_modify'] = 'Modifier un utilisateur';
+  $lang['title_groups'] = 'Gestion des groupes';
 // end version 1.3
   $lang['title_liste_users'] = 'Liste des utilisateurs';
@@ -225,5 +230,10 @@
   $lang['title_configuration'] = 'Configuration de PhpWebGallery';
   $lang['title_instructions'] = 'Instructions';
-  $lang['title_permissions'] = 'Modifier les permissions pour un utilisateur';
+// start version 1.3
+// $lang['title_permissions'] = 'Modifier les permissions pour un utilisateur';
+  $lang['title_user_perm'] = 'Modifier les permissions pour l\'utilisateur';
+  $lang['title_cat_perm'] = 'Modifier les permissions pour la catégorie';
+  $lang['title_group_perm'] = 'Modifier les permissions pour le groupe';
+// end version 1.3
   $lang['title_categories'] = 'Gestion des catégories';
   $lang['title_edit_cat'] = 'Editer une catégorie';
@@ -232,5 +242,5 @@
   $lang['title_thumbnails_2'] = 'pour';
   $lang['title_default'] = 'Administration de PhpWebGallery';
-		
+	
   $lang['menu_title'] = 'Administration';
   $lang['menu_config'] = 'Configuration';
@@ -244,5 +254,8 @@
   $lang['menu_instructions'] = 'Instructions';
   $lang['menu_back'] = 'Page diapo';
-
+// start version 1.3
+  $lang['menu_groups'] = 'Groupes';
+// end version 1.3
+  
   $lang['title_waiting'] = 'Images en attente de validation';
   $lang['menu_waiting'] = 'En attente';
@@ -384,7 +397,17 @@
 // start version 1.3
 //  $lang['adduser_status_member'] = 'membre';
+  $lang['adduser_associate'] = 'Associer au groupe';
 // end version 1.3
   $lang['adduser_status_guest'] = 'visiteur';
-		
+
+// start version 1.3
+  $lang['group_add'] = 'Ajouter un groupe';
+  $lang['group_add_error1'] = 'Le nom du groupe ne doit pas comporter de " ou de \'';
+  $lang['group_add_error2'] = 'Ce nom de groupe est déjà utilisé';
+  $lang['group_confirm'] = 'Etes-vous sûr de vouloir supprimer le groupe';
+  $lang['group_list_title'] = 'Liste des groupes existants';
+  $lang['group_err_unknown'] = 'Ce groupe n\'existe pas dans la base de données';
+// end version 1.3
+
   // page permissions
   $lang['permuser_info_message'] = 'Permissions enregistrées';
@@ -394,5 +417,7 @@
   $lang['permuser_forbidden'] = 'interdit';
   $lang['permuser_parent_forbidden'] = 'catégorie parente interdite';
-  $lang['permuser_cat_title'] = 'Modifier les permissions pour ';
+// start version 1.3
+// $lang['permuser_cat_title'] = 'Modifier les permissions pour ';
+// end version 1.3
 		
   // page liste utilisateurs
@@ -434,5 +459,7 @@
   $lang['editcat_status'] = 'Status';
   $lang['editcat_status_info'] = '(invisible sauf pour les administrateurs)';
-		
+// start version 1.3
+  $lang['editcat_visible'] = 'Visible';
+// end version 1.3
   // page info images
   $lang['infoimage_err_date'] = 'date erronée';
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 20)
+++ /trunk/picture.php	(revision 21)
@@ -29,7 +29,7 @@
 }
 //---------------------------------------- incrementation of the number of hits
-$query = 'update '.PREFIX_TABLE.'images';
-$query.= ' set hit=hit+1';
-$query.= ' where id='.$_GET['image_id'];
+$query = 'UPDATE '.PREFIX_TABLE.'images';
+$query.= ' SET hit=hit+1';
+$query.= ' WHERE id='.$_GET['image_id'];
 $query.= ';';
 @mysql_query( $query );
@@ -38,9 +38,9 @@
 $cat_directory = $page['cat_dir']; // by default
 //------------------------------------- main picture information initialization
-$query = 'select id,date_available,comment,hit';
+$query = 'SELECT id,date_available,comment,hit';
 $query.= ',author,name,file,date_creation,filesize,width,height,cat_id';
-$query.= ' from '.PREFIX_TABLE.'images';
+$query.= ' FROM '.PREFIX_TABLE.'images';
 $query.= $page['where'];
-$query.= ' and id = '.$_GET['image_id'];
+$query.= ' AND id = '.$_GET['image_id'];
 $query.= $conf['order_by'];
 $query.= ';';
@@ -60,6 +60,6 @@
 $page['cat_id']         = $row['cat_id'];
 // retrieving the number of the picture in its category (in order)
-$query = 'select id';
-$query.= ' from '.PREFIX_TABLE.'images';
+$query = 'SELECT id';
+$query.= ' FROM '.PREFIX_TABLE.'images';
 $query.= $page['where'];
 $query.= $conf['order_by'];
@@ -79,8 +79,8 @@
   {
     // verify if the picture is already in the favorite of the user
-    $query = 'select count(*) as nb_fav';
-    $query.= ' from '.PREFIX_TABLE.'favorites';
-    $query.= ' where image_id = '.$page['id'];
-    $query.= ' and user_id = '.$user['id'];
+    $query = 'SELECT COUNT(*) AS nb_fav';
+    $query.= ' FROM '.PREFIX_TABLE.'favorites';
+    $query.= ' WHERE image_id = '.$page['id'];
+    $query.= ' AND user_id = '.$user['id'];
     $query.= ';';
     $result = mysql_query( $query );
@@ -88,6 +88,6 @@
     if ( $row['nb_fav'] == 0 )
     {
-      $query = 'insert into '.PREFIX_TABLE.'favorites';
-      $query.= ' (image_id,user_id) values';
+      $query = 'INSERT INTO '.PREFIX_TABLE.'favorites';
+      $query.= ' (image_id,user_id) VALUES';
       $query.= ' ('.$page['id'].','.$user['id'].')';
       $query.= ';';
@@ -97,7 +97,7 @@
   if ( $_GET['add_fav'] == 0 )
   {
-    $query = 'delete from '.PREFIX_TABLE.'favorites';
-    $query.= ' where user_id = '.$user['id'];
-    $query.= ' and image_id = '.$page['id'];
+    $query = 'DELETE FROM '.PREFIX_TABLE.'favorites';
+    $query.= ' WHERE user_id = '.$user['id'];
+    $query.= ' AND image_id = '.$page['id'];
     $query.= ';';
     $result = mysql_query( $query );
@@ -121,9 +121,9 @@
       $page['num'] = 0;
     }
-    $query = 'select id';
-    $query.= ' from '.PREFIX_TABLE.'images';
+    $query = 'SELECT id';
+    $query.= ' FROM '.PREFIX_TABLE.'images';
     $query.= $page['where'];
     $query.= $conf['order_by'];
-    $query.= ' limit '.$page['num'].',1';
+    $query.= ' LIMIT '.$page['num'].',1';
     $query.= ';';
     $result = mysql_query( $query );
@@ -144,22 +144,13 @@
 //----------------------------------------------------- template initialization
 $vtp = new VTemplate;
-$handle = $vtp->Open( './template/default/picture.vtp' );
-// language
-$vtp->setGlobalVar( $handle, 'back',             $lang['back'] );
-$vtp->setGlobalVar( $handle, 'submit',           $lang['submit'] );
-$vtp->setGlobalVar( $handle, 'comments_title',   $lang['comments_title'] );
-$vtp->setGlobalVar( $handle, 'comments_del',     $lang['comments_del'] );
-$vtp->setGlobalVar( $handle, 'delete',           $lang['delete'] );
-$vtp->setGlobalVar( $handle, 'comments_add',     $lang['comments_add'] );
-$vtp->setGlobalVar( $handle, 'author',           $lang['author'] );
-// user
-$vtp->setGlobalVar( $handle, 'page_style',       $user['style'] );
-$vtp->setGlobalVar( $handle, 'text_color',       $user['couleur_text'] );
-// structure
-$vtp->setGlobalVar( $handle, 'frame_start',      get_frame_start() );
-$vtp->setGlobalVar( $handle, 'frame_begin',      get_frame_begin() );
-$vtp->setGlobalVar( $handle, 'frame_end',        get_frame_end() );
+$handle = $vtp->Open( './template/'.$user['template'].'/picture.vtp' );
+initialize_template();
+
+$tpl = array( 'back','submit','comments_title','comments_del','delete',
+              'comments_add','author' );
+templatize_array( $tpl, 'lang', $handle );
+$vtp->setGlobalVar( $handle, 'text_color', $user['couleur_text'] );
 //------------------------------------------------------------------ page title
-if ( $page['name'] != "" )
+if ( $page['name'] != '' )
 {
   $vtp->setGlobalVar( $handle, 'page_title', $page['name'] );
@@ -173,9 +164,9 @@
 {
   $prev = $page['num'] - 1;
-  $query = 'select id,name,file,tn_ext,cat_id';
-  $query.= ' from '.PREFIX_TABLE.'images';
+  $query = 'SELECT id,name,file,tn_ext,cat_id';
+  $query.= ' FROM '.PREFIX_TABLE.'images';
   $query.= $page['where'];
   $query.= $conf['order_by'];
-  $query.= ' limit '.$prev.',1';
+  $query.= ' LIMIT '.$prev.',1';
   $query.= ';';
   $result = mysql_query( $query );
@@ -198,12 +189,6 @@
   $prev_title = $lang['previous_image'].' : ';
   $alt_thumbnaill = '';
-  if ( $row['name'] != "" )
-  {
-    $alt_thumbnail = $row['name'];
-  }
-  else
-  {
-    $alt_thumbnail = $file;
-  }
+  if ( $row['name'] != '' ) $alt_thumbnail = $row['name'];
+  else                      $alt_thumbnail = $file;
   $prev_title.= $alt_thumbnail;
   
@@ -321,7 +306,7 @@
   $vtp->addSession( $handle, 'info_line' );
   $vtp->setVar( $handle, 'info_line.name', $lang['creation_date'].' : ' );
-  $tab_date = explode( '-', $page['date_creation'] );
+  list( $year,$month,$day ) = explode( '-', $page['date_creation'] );
   $vtp->setVar( $handle, 'info_line.content',
-                $tab_date[2].'/'.$tab_date[1].'/'.$tab_date[0] );
+                $day.'/'.$month.'/'.$year );
   $vtp->closeSession( $handle, 'info_line' );
 }
@@ -329,12 +314,12 @@
 $vtp->addSession( $handle, 'info_line' );
 $vtp->setVar( $handle, 'info_line.name', $lang['registration_date'].' : ' );
-$tab_date = explode( '-', $page['date_available'] );
+list( $year,$month,$day ) = explode( '-', $page['date_available'] );
 $vtp->setVar( $handle, 'info_line.content',
-              $tab_date[2].'/'.$tab_date[1].'/'.$tab_date[0] );
+              $day.'/'.$month.'/'.$year );
 $vtp->closeSession( $handle, 'info_line' );
 // size in pixels
 $vtp->addSession( $handle, 'info_line' );
 $vtp->setVar( $handle, 'info_line.name', $lang['size'].' : ' );
-if ( $original_width != $final_width || $original_height != $final_height )
+if ( $original_width != $final_width or $original_height != $final_height )
 {
   $content = '[ <a href="'.$lien_image.'" title="'.$lang['true_size'].'">';
@@ -380,5 +365,5 @@
 $vtp->closeSession( $handle, 'info_line' );
 //------------------------------------------------------- favorite manipulation
-if ( $page['cat'] != 'fav' && !$user['is_the_guest'] )
+if ( $page['cat'] != 'fav' and !$user['is_the_guest'] )
 {
   $url = './picture.php?cat='.$page['cat'].'&amp;image_id='.$page['id'];
@@ -442,5 +427,5 @@
 
   $file = substr ( $row['file'], 0, strrpos ( $row['file'], ".") );
-  $lien_thumbnail = $cat_directory."thumbnail/";
+  $lien_thumbnail = $cat_directory.'thumbnail/';
   $lien_thumbnail.= $conf['prefix_thumbnail'].$file.".".$row['tn_ext'];
   
@@ -481,11 +466,11 @@
   if ( isset( $_POST['content'] ) && $_POST['content'] != '' )
   {
-    $author = $user['pseudo'];
-    if ( $_POST['author'] != "" )
+    $author = $user['username'];
+    if ( $_POST['author'] != '' )
     {
       $author = $_POST['author'];
     }
-    $query = 'insert into '.PREFIX_TABLE.'comments';
-    $query.= ' (author,date,image_id,content) values';
+    $query = 'INSERT INTO '.PREFIX_TABLE.'comments';
+    $query.= ' (author,date,image_id,content) VALUES';
     $query.= " ('".$author."',".time().",".$page['id'];
     $query.= ",'".htmlspecialchars( $_POST['content'], ENT_QUOTES)."');";
@@ -497,12 +482,12 @@
        && $user['status'] == 'admin' )
   {
-    $query = 'delete from '.PREFIX_TABLE.'comments';
-    $query.= ' where id = '.$_GET['del'].';';
+    $query = 'DELETE FROM '.PREFIX_TABLE.'comments';
+    $query.= ' WHERE id = '.$_GET['del'].';';
     mysql_query( $query );
   }
   // number of comment for this picture
-  $query = 'select count(*) as nb_comments';
-  $query.= ' from '.PREFIX_TABLE.'comments';
-  $query.= ' where image_id = '.$page['id'].';';
+  $query = 'SELECT COUNT(*) AS nb_comments';
+  $query.= ' FROM '.PREFIX_TABLE.'comments';
+  $query.= ' WHERE image_id = '.$page['id'].';';
   $row = mysql_fetch_array( mysql_query( $query ) );
   $page['nb_comments'] = $row['nb_comments'];
@@ -515,6 +500,6 @@
   }
   if( !isset( $_GET['start'] )
-      || !is_numeric( $_GET['start'] )
-      || ( is_numeric( $_GET['start'] ) && $_GET['start'] < 0 ) )
+      or !is_numeric( $_GET['start'] )
+      or ( is_numeric( $_GET['start'] ) and $_GET['start'] < 0 ) )
   {
     $page['start'] = 0;
@@ -532,9 +517,9 @@
   $vtp->setGlobalVar( $handle, 'nb_comments', $page['nb_comments'] );
 
-  $query = 'select id,author,date,image_id,content';
-  $query.= ' from '.PREFIX_TABLE.'comments';
-  $query.= ' where image_id = '.$page['id'];
-  $query.= ' order by date asc';
-  $query.= ' limit '.$page['start'].', '.$conf['nb_comment_page'].';';
+  $query = 'SELECT id,author,date,image_id,content';
+  $query.= ' FROM '.PREFIX_TABLE.'comments';
+  $query.= ' WHERE image_id = '.$page['id'];
+  $query.= ' ORDER BY date ASC';
+  $query.= ' LIMIT '.$page['start'].', '.$conf['nb_comment_page'].';';
   $result = mysql_query( $query );
                 
@@ -581,9 +566,3 @@
 $code = $vtp->Display( $handle, 0 );
 echo $code;
-//------------------------------------------------------------ log informations
-$query = 'insert into '.PREFIX_TABLE.'history';
-$query.= ' (date,login,IP,page,titre,categorie) values';
-$query.= " (".time().", '".$user['pseudo']."','".$_SERVER['REMOTE_ADDR']."'";
-$query.= ",'picture','".$page['file']."','".$intitule_cat."');";
-@mysql_query( $query );
 ?>
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 20)
+++ /trunk/register.php	(revision 21)
@@ -17,7 +17,7 @@
 
 //----------------------------------------------------------- personnal include
-include_once( "./include/init.inc.php" );
+include_once( './include/init.inc.php' );
 //-------------------------------------------------- access authorization check
-if ( $conf['acces'] == "restreint" )
+if ( $conf['access'] == "restricted" )
 {
   echo $lang['only_members'];
